Bug 1483283 - On uploading a manifest: Failed Candlepin Event: PG::Error: ERROR: null value in column "virt_who" violates not-null constraint
Summary: On uploading a manifest: Failed Candlepin Event: PG::Error: ERROR: null valu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Brad Buckingham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-20 04:04 UTC by Sachin Ghai
Modified: 2021-12-10 15:13 UTC (History)
3 users (show)

Fixed In Version: rubygem-katello-3.4.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
complete traceback (20.03 KB, text/plain)
2017-08-20 04:04 UTC, Sachin Ghai
no flags Details
foreman-debug (610.01 KB, application/x-xz)
2017-08-20 04:07 UTC, Sachin Ghai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20395 0 None None None 2017-08-25 12:28:27 UTC

Description Sachin Ghai 2017-08-20 04:04:04 UTC
Created attachment 1315879 [details]
complete traceback

Description of problem:
On uploading a manifest on fresh sat6.3 snap12 install, following error raised:


2017-08-19 23:57:19  [foreman-tasks/action] [E] Failed Candlepin Event: PG::Error: ERROR:  null value in column "virt_who" violates not-null constraint
 | DETAIL:  Failing row contains (6, 8a93a29d5dfdb710015dfdc99e90042f, 2017-08-20 03:57:19.154421, 2017-08-20 03:57:19.224847, null, 477931, 11045754, null, 50, 2016-08-04 04:00:00, NORMAL, 2022-01-01 04:59:59, null, t, 0, f, f, null).
 | : UPDATE "katello_pools" SET "multi_entitlement" = $1, "account_number" = $2, "contract_number" = $3, "quantity" = $4, "start_date" = $5, "end_date" = $6, "consumed" = $7, "pool_type" = $8, "virt_who" = $9, "updated_at" = $10 WHERE "katello_pools"."id" = $11


Version-Release number of selected component (if applicable):
sat6.3 snap12

How reproducible:


Steps to Reproduce:
1. upload a manifest
2. monitor /var/log/foreman/production.log
3.

Actual results:
[E] Failed Candlepin Event: PG::Error: ERROR:  null value in column "virt_who" violates not-null constraint
 | DETAIL:  Failing row contains (2, 8a93a29d5dfdb710015dfdc99cdd0421, 2017-08-20 03:57:17.538129, 2017-08-20 03:57:17.683711, null, 477931, 11045754, null, 50, 2016-08-04 04:00:00, NORMAL, 2022-01-01 04:59:59, null, null, 0, f, f, null).
 | : UPDATE "katello_pools" SET "account_number" = $1, "contract_number" = $2, "quantity" = $3, "start_date" = $4, "end_date" = $5, "consumed" = $6, "pool_type" = $7, "virt_who" = $8, "updated_at" = $9 WHERE "katello_pools"."id" = $10


Expected results:
no error should appear

Additional info:

Comment 2 Sachin Ghai 2017-08-20 04:07:58 UTC
Created attachment 1315880 [details]
foreman-debug

Comment 3 Satellite Program 2017-08-28 18:12:02 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20395 has been resolved.

Comment 4 Brad Buckingham 2017-09-06 12:56:25 UTC
Verified with Satellite 6.3 SNAP 14: satellite-6.3.0-17.0.beta.el7sat.noarch, tfm-rubygem-katello-3.4.5-1.el7sat.noarch


- performed new Satellite install
- imported manifest - no errors
- refreshed manifest - no errors
- enabled/synced repos - no errors

Comment 5 Satellite Program 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.